Package Details: shadowgrounds-survivor beta11_update1-3

Git Clone URL: https://aur.archlinux.org/shadowgrounds-survivor.git (read-only)
Package Base: shadowgrounds-survivor
Description: A 3D sci-fi alien shooter - sequel to Shadowgrounds (game sold separately)
Upstream URL: http://shadowgroundsgame.com/survivor/
Licenses: unknown
Submitter: None
Maintainer: ejona86
Last Packager: ejona86
Votes: 13
Popularity: 0.000000
First Submitted: 2011-04-13 22:27
Last Updated: 2018-07-08 21:19

Latest Comments

« First ‹ Previous 1 2

postblue commented on 2012-06-24 00:48

On my installation (Gnome Shell, Zukitwo theme), I need lib32-gtk-engine-murrine to well display the launcher. =) Thanks for the update.

ejona86 commented on 2012-06-23 18:50

Things should work out-of-the-box now.

jose1711 commented on 2011-11-10 20:07

./survivor-launcher: ./lib32/libxml2.so.2: no version information available (required by /usr/lib/libglade-2.0.so.0)
Got signal 11 at 0x883a from 0x883a
/usr/bin/shadowgrounds-survivor-launcher: line 4: 26032 Aborted ./survivor-launcher $@

Ulukai commented on 2011-10-01 09:32

Thanks Max-P, did exactly what you said and it's working now on Arch 64-bit.

Max-P commented on 2011-09-29 03:02

@ahronzombi:

I had the same problem. Here's the fix:
You have to move libopenal* libasound* libvorbis* libogg* out of the lib (or lib32 if you run 64 bits) folder, and then the game starts nicely. Maybe there's also some other junk that should be removed from that folder, I personnaly also removed GL libs from there. Strange bug, also did this to Penumbra to fix it (same issue, same message). Possibly affects some other games too (when I built frozensynapse this fix was already included, so maybe this game is one of those that are broken because of this).

Hope this helps someone.

Anonymous comment on 2011-09-01 09:22

@ahronzombi:
Your system may be broken: libgcc_s.so.1 is in gcc-libs package (or lib32-gcc-libs, if you use x86-64), which is mesa's dependency.

I'm not sure if the first line is also relevant, but libasound_module_pcm_pulse.so is in alsa-plugins.

Anonymous comment on 2011-08-31 22:42

ALSA lib pcm.c:2104:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so
libgcc_s.so.1 must be installed for pthread_cancel to work
/usr/bin/shadowgrounds-survivor-launcher: line 4: 30080 Aborted ./survivor-launcher $@

louipc commented on 2011-05-20 17:39

This may require lib32-libtxc_dxtn, it does for me at least with integrated Intel graphics.

voria commented on 2011-05-08 12:08

New version released (survivorUpdate1.run) ;)